Resolve import errors
Base URL
https://{kibana_url}
POST
/api/saved_objects/_resolve_import_errors
POST
/s/{space_id} /api/saved_objects/_resolve_import_errors
Auth
To resolve errors from the import objects API, you can retry certain saved objects, overwrite specific saved objects, and change references to different saved objects
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
createNewCopies
boolean · default: false
Creates copies of saved objects, regenerates each object ID, and resets the origin.
compatibilityMode
boolean · default: false
Applies adjustments to maintain compatibility between different Kibana versions.
A required header to protect against CSRF attacks
retries
object [] · max items: 10000
required
−
Hide 7 properties
destinationId
string · max length: 512
id
string · max length: 512
required
ignoreMissingReferences
boolean
overwrite
boolean · default: false
replaceReferences
object [] · max items: 100 · default: []
+
Show 3 properties
from
string · max length: 512
required
to
string · max length: 512
required
type
string · max length: 256
required
type
string · max length: 256
required
200
A successful resolve import errors response.
application/json
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
POST kbn://api/saved_objects/_resolve_import_errors
1
2
3
4
5
6
curl \
-X POST "${KIBANA_URL}/api/saved_objects/_resolve_import_errors" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "kbn-xsrf: true" \
--form file=@file.ndjson \
--form retries='[{"type":"dashboard","id":"example-dashboard-1","overwrite":true,"replaceReferences":[]}]'
Request
1
2
3
4
5
6
7
8
9
10
11
{
"file": "file.ndjson",
"retries": [
{
"id": "example-dashboard-1",
"overwrite": true,
"replaceReferences": [],
"type": "dashboard"
}
]
}
Response
1
2
3
4
5
6
7
8
9
10
11
12
{
"errors": [],
"success": true,
"successCount": 1,
"successResults": [
{
"id": "example-dashboard-1",
"managed": false,
"type": "dashboard"
}
]
}
1
2
3
4
5
{
"error": "Bad Request",
"message": "Invalid file extension .txt",
"statusCode": 400
}